<?php

namespace App\Console;

use App\Console\Commands\AddMessageRule;
use App\Console\Commands\AddNoticeRule;
use App\Console\Commands\Apollo;
use App\Console\Commands\UpdateMessageRule;
use App\Console\Commands\UpdateNoticeRule;
use Illuminate\Console\Scheduling\Schedule;
use Laravel\Lumen\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        AddMessageRule::class,
        AddNoticeRule::class,
        UpdateMessageRule::class,
        UpdateNoticeRule::class,
        Apollo::class
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        $path = storage_path('logs/'.date('Y-m-d').'-schedule.log');

        $schedule->command('message:add')
            ->everyMinute()
            ->withoutOverlapping()->appendOutputTo($path);

        $schedule->command('notice:add')
            ->everyMinute()
            ->withoutOverlapping()->appendOutputTo($path);
    }
}
