<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableStartup extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('startup', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('title', 32)
                ->default('')
                ->comment('标题');

            $table->tinyInteger('is_open')
                ->default(0)
                ->comment('是否开启：0否，1是');

            $table->string('img', 255)
                ->default('')
                ->comment('图片');

            $table->string('url', 255)
                ->default('')
                ->comment('跳转地址');
            
            $table->softDeletes();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('startup');
    }
}
